//+------------------------------------------------------------------+
//|                                                      ROC_GBP.mq4 |
//|                                                 Kris Tokarzewski |
//|                                  based on work done by Davi Chan |
//+------------------------------------------------------------------+
#property copyright "  Kris "

#property indicator_buffers 1
#property indicator_separate_window
#property indicator_color1 Crimson

extern int periodos = 10;
double medidor_operacoes = 0;
double buffer_indicador[];
int i;

//extern int maxbars = 0; //maxbars limita quando no estiver no modo teste.
int maxbars;

int init()
{
// if(IsTesting())
//   maxbars = Bars;
//	else
//	  maxbars = 500;
	SetIndexStyle(0, DRAW_LINE, STYLE_SOLID, 2);
	SetIndexBuffer(0, buffer_indicador);
	SetLevelValue(0,0.0);
	return(0);
   }

int start()
   {
	int inicio;   	
	double roc_EUR, roc_USD, roc_JPY, roc;	
	int counted_bars=IndicatorCounted();
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   int limit=Bars-counted_bars;
   for(int i=0; i<limit; i++)
      {
		roc = 0;			

      roc_USD = (iClose("GBPUSD", 0, i) - iClose("GBPUSD", 0, periodos+i))/iClose("GBPUSD", 0, periodos+i);
      roc_JPY = (iClose("GBPJPY", 0, i) - iClose("GBPJPY", 0, periodos+i))/iClose("GBPJPY", 0, periodos+i);
      //inverso dos valores dessas duas moedas
      roc_EUR = (1/iClose("EURGBP", 0, i) - 1/iClose("EURGBP", 0, periodos+i))/(1/iClose("EURGBP", 0, periodos+i));
      //inverso dos valores dessas duas moedas
      roc = (roc_EUR + roc_USD + roc_JPY)/3;
		buffer_indicador[i] = roc;			
	  }
}

